### Class

# Gtk FlattenListModel

#### Description [src]

    final class Gtk.FlattenListModel : GObject.Object {
      /* No available fields */
    }

`GtkFlattenListModel` is a list model that concatenates other list models.

`GtkFlattenListModel` takes a list model containing list models, and flattens it into a single model.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_flatten_list_model_new

Creates a new `GtkFlattenListModel` that flattens `list`.

#### Instance methods

###### gtk_flatten_list_model_get_model

Gets the model set via gtk_flatten_list_model_set_model().

###### gtk_flatten_list_model_get_model_for_item

Returns the model containing the item at the given position.

###### gtk_flatten_list_model_set_model

Sets a new model to be flattened.

#### Properties

###### Gtk.FlattenListModel:model

The model being flattened.

#### Class structure

    struct GtkFlattenListModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.